'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const buildGroupCollapsed = template => title => template('console.groupCollapsed(title);')({ title });

const buildGroupEnd = template => title => template('console.groupEnd(title);')({ title });

const buildLog = template => (...args) => template('console.log(args);')({ args });

exports.default = template => ({
  buildGroupCollapsed: buildGroupCollapsed(template),
  buildGroupEnd: buildGroupEnd(template),
  buildLog: buildLog(template)
});